Skip to main content
GET
/
v2
/
farcaster
/
notifications
For user
curl --request GET \
  --url https://api.neynar.com/v2/farcaster/notifications/ \
  --header 'x-api-key: <api-key>'
{
  "unseen_notifications_count": 123,
  "notifications": [
    {
      "object": "notification",
      "most_recent_timestamp": "2023-11-07T05:31:56Z",
      "type": "follows",
      "seen": true,
      "follows": [
        {
          "object": "follower",
          "user": {
            "object": "user",
            "fid": 3,
            "username": "<string>",
            "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
            "registered_at": "2023-11-07T05:31:56Z",
            "profile": {
              "bio": {
                "text": "<string>",
                "mentioned_profiles": [
                  {
                    "object": "user_dehydrated",
                    "fid": 3,
                    "username": "<string>",
                    "display_name": "<string>",
                    "pfp_url": "<string>",
                    "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                    "score": 123
                  }
                ],
                "mentioned_profiles_ranges": [
                  {
                    "start": 1,
                    "end": 1
                  }
                ],
                "mentioned_channels": [
                  {
                    "id": "<string>",
                    "name": "<string>",
                    "object": "channel_dehydrated",
                    "image_url": "<string>"
                  }
                ],
                "mentioned_channels_ranges": [
                  {
                    "start": 1,
                    "end": 1
                  }
                ]
              },
              "banner": {
                "url": "<string>"
              }
            },
            "follower_count": 123,
            "following_count": 123,
            "verifications": [
              "0x5a927ac639636e534b678e81768ca19e2c6280b7"
            ],
            "auth_addresses": [
              {
                "address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "app": {
                  "object": "user_dehydrated",
                  "fid": 3,
                  "username": "<string>",
                  "display_name": "<string>",
                  "pfp_url": "<string>",
                  "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                  "score": 123
                }
              }
            ],
            "verified_addresses": {
              "eth_addresses": [
                "0x5a927ac639636e534b678e81768ca19e2c6280b7"
              ],
              "sol_addresses": [
                "<string>"
              ],
              "primary": {
                "eth_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "sol_address": "<string>"
              }
            },
            "verified_accounts": [
              {
                "platform": "x",
                "username": "<string>"
              }
            ],
            "display_name": "<string>",
            "pfp_url": "<string>",
            "score": 123
          }
        }
      ],
      "reactions": [
        {
          "object": "likes",
          "cast": {
            "object": "cast_dehydrated",
            "hash": "<string>"
          },
          "user": {
            "object": "user",
            "fid": 3,
            "username": "<string>",
            "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
            "registered_at": "2023-11-07T05:31:56Z",
            "profile": {
              "bio": {
                "text": "<string>",
                "mentioned_profiles": [
                  {
                    "object": "user_dehydrated",
                    "fid": 3,
                    "username": "<string>",
                    "display_name": "<string>",
                    "pfp_url": "<string>",
                    "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                    "score": 123
                  }
                ],
                "mentioned_profiles_ranges": [
                  {
                    "start": 1,
                    "end": 1
                  }
                ],
                "mentioned_channels": [
                  {
                    "id": "<string>",
                    "name": "<string>",
                    "object": "channel_dehydrated",
                    "image_url": "<string>"
                  }
                ],
                "mentioned_channels_ranges": [
                  {
                    "start": 1,
                    "end": 1
                  }
                ]
              },
              "banner": {
                "url": "<string>"
              }
            },
            "follower_count": 123,
            "following_count": 123,
            "verifications": [
              "0x5a927ac639636e534b678e81768ca19e2c6280b7"
            ],
            "auth_addresses": [
              {
                "address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "app": {
                  "object": "user_dehydrated",
                  "fid": 3,
                  "username": "<string>",
                  "display_name": "<string>",
                  "pfp_url": "<string>",
                  "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                  "score": 123
                }
              }
            ],
            "verified_addresses": {
              "eth_addresses": [
                "0x5a927ac639636e534b678e81768ca19e2c6280b7"
              ],
              "sol_addresses": [
                "<string>"
              ],
              "primary": {
                "eth_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "sol_address": "<string>"
              }
            },
            "verified_accounts": [
              {
                "platform": "x",
                "username": "<string>"
              }
            ],
            "display_name": "<string>",
            "pfp_url": "<string>",
            "score": 123
          }
        }
      ],
      "count": 123
    }
  ],
  "next": {
    "cursor": "<string>"
  }
}

Node.js SDK

🔗 SDK Method: fetchAllNotifications Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

fid
integer
required

FID of the user you you want to fetch notifications for. The response will respect this user's mutes and blocks.

Required range: x >= 1
type
enum<string>[]

Notification type to fetch. Comma separated values of follows, recasts, likes, mentions, replies.

Available options:
follows,
recasts,
likes,
mentions,
replies,
quotes
limit
integer<int32>
default:15

Number of results to fetch

Required range: 1 <= x <= 25
Example:

15

cursor
string

Pagination cursor.

Response

Success

unseen_notifications_count
integer<int32>
required
notifications
Notification · object[]
required
next
NextCursor · object
required

Returns next cursor